#
# spec file for package python-whitenoise
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-whitenoise
Version:        6.2.0
Release:        2.1
Summary:        Static file serving for WSGI applications
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/evansd/whitenoise
Source:         https://github.com/evansd/whitenoise/archive/%{version}.tar.gz#/whitenoise-%{version}.tar.gz
BuildRequires:  %{python_module Brotli >= 1.0.0}
BuildRequires:  %{python_module Django >= 2.0}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Suggests:       python-Brotli >= 1.0.0
BuildArch:      noarch
%python_subpackages

%description
Static file serving for WSGI applications.

%prep
%setup -q -n whitenoise-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
PYTHONPATH=$PWD
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sat Aug 26 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Oct 11 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 6.2.0
  * Support Python 3.11.
  * Support Django 4.1.
* Tue Feb 22 2022 Matej Cepl <mcepl@suse.com>
- Update to 6.0.0:
  - Drop support for Python 3.5 and 3.6.
  - Add support for Python 3.9 and 3.10.
  - Drop support for Django 1.11, 2.0, and 2.1.
  - Add support for Django 4.0.
  - Import new MIME types from Nginx, changes:
  - .avif files are now served with the image/avif MIME type.
  - Open Document files with extensions .odg, .odp,
    .ods, and .odt are now served with their respective
    application/vnd.oasis.opendocument.* MIME types.
  - The whitenoise.__version__ attribute has been removed. Use
    importlib.metadata.version() to check the version of
    Whitenoise if you need to.
  - Requests using the Range header can no longer read beyond the
    end of the requested range.
  - Treat empty and "*" values for Accept-Encoding as if the
    client doesn’t support any encoding.
  - Gracefully handle unparsable If-Modified-Since headers
    (thanks @danielegozzi).
  - Add mimetype for Markdown (.md) files
  - Various documentation improvements
  - Add support for relative STATIC_URLs in settings, as allowed
    in Django 3.1.
  - Add mimetype for .mjs (JavaScript module) files and use
    recommended text/javascript mimetype for .js files.
  - Various documentation improvements (thanks @lukeburden).
  - Add a manifest_strict setting to prevent Django throwing
    errors when missing files are referenced.
  - Fix packaging to indicate only Python 3.5+ compatibiity (thanks @mdalp).
* Tue Jul 21 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 5.1.0
  * Add a manifest_strict setting to prevent Django throwing errors
    when missing files are referenced
* Thu Feb  6 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 5.0.1
  * remove Python 2 compatibility
  * Fix incompatibility with Django 3.0
  * Lots of improvements to the test suite
  * Make tests more deterministic and easier to run outside of tox.
- package GitHub tarball because of tests
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 4.1.3:
  * Fix handling of zero-valued mtimes which can occur when running on some filesystems
  * Fix potential path traversal attack while running in autorefresh mode on Windows
* Sun Jul  7 2019 Jan Engelhardt <jengelh@inai.de>
- Ensure descriptions are neutral and not exaggerated.
* Wed Jun 19 2019 Thomas Bechtold <tbechtold@suse.com>
- Initial packaging (version 4.1.2)
